Skip to content

Your data / Gift planner

GET
https://ba.joexyz.online/api/v1/me/gift-inventories/:id

Gets one of your gift planner. Includes its gift targets.

Parameters

  • id (path): The gift inventory id.

Authentication

Bearer Token — send Authorization: Bearer <token>. Inherited from folder "Your data".

Path parameters

NameValue
id
curl https://ba.joexyz.online/api/v1/me/gift-inventories/:id \
  -H 'Authorization: Bearer {{api_key}}'
Response
{
  "data": {
    "id": "k571k0c4p3bmntpnng4p8kcaan7vss8k",
    "createdAt": "2025-11-20T19:16:23.521Z",
    "name": "EU",
    "giftBoxes": 341,
    "gifts": [
      {
        "id": 5000,
        "count": 1
      },
      {
        "id": 5001,
        "count": 3
      },
      {
        "id": 5002,
        "count": 2
      },
      {
        "id": 5004,
        "count": 7
      },
      {
        "id": 5005,
        "count": 36
      },
      {
        "id": 5006,
        "count": 30
      }
    ],
    "targets": [
      {
        "id": "k972n7c56aqv7mp1n09hnkam118622jj",
        "createdAt": "2026-05-04T20:28:31.806Z",
        "studentId": "kei",
        "currentExp": 0,
        "giftBoxCount": 309,
        "giftInventoryId": "k571k0c4p3bmntpnng4p8kcaan7vss8k",
        "gifts": [
          {
            "id": 5004,
            "count": 7,
            "enabled": true
          },
          {
            "id": 5005,
            "count": 36,
            "enabled": true
          },
          {
            "id": 5006,
            "count": 30,
            "enabled": true
          },
          {
            "id": 5016,
            "count": 55,
            "enabled": true
          },
          {
            "id": 5997,
            "count": 20,
            "enabled": true
          }
        ],
        "targetExp": 29175,
        "useGiftBoxes": true
      },
      {
        "id": "k9712fh2r075c1k2d0kjjbn9nh885wjf",
        "createdAt": "2026-06-06T16:06:04.181Z",
        "studentId": "aris_battle",
        "currentExp": 0,
        "giftBoxCount": 32,
        "giftInventoryId": "k571k0c4p3bmntpnng4p8kcaan7vss8k",
        "gifts": [
          {
            "id": 5010,
            "count": 33,
            "enabled": true
          },
          {
            "id": 5011,
            "count": 24,
            "enabled": true
          },
          {
            "id": 5018,
            "count": 34,
            "enabled": true
          },
          {
            "id": 5020,
            "count": 33,
            "enabled": true
          },
          {
            "id": 5022,
            "count": 14,
            "enabled": true
          },
          {
            "id": 5025,
            "count": 20,
            "enabled": true
          }
        ],
        "targetExp": 29175,
        "useGiftBoxes": true
      }
    ]
  }
}

Joe's Blue Archive Tools API · exported Nov 1, 2026

llms.txtBuilt with yaakdoc